Commit 674cd1e4 authored by Bastien ROUCARIÈS's avatar Bastien ROUCARIÈS

New upstream version

parent 0224e767
node-connect (3.6.7-1) unstable; urgency=medium
* Team upload
* New upstream version
* Move to salsa
* Bump compat and policy
* Improve cli
* Fix problem with mocha (>= 4)
-- Bastien Roucariès <rouca@debian.org> Thu, 10 May 2018 23:28:55 +0200
node-connect (3.4.1-1) unstable; urgency=medium node-connect (3.4.1-1) unstable; urgency=medium
* import upstream version 3.4.1 (Closes: #802214) * import upstream version 3.4.1 (Closes: #802214)
* debian/control: * debian/control:
+ add myself to Uploaders: + add myself to Uploaders:
......
Source: node-connect Source: node-connect
Section: web Section: javascript
Priority: extra Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org> Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com> Uploaders: Leo Iannacone <l3on@ubuntu.com>
, David Paleino <dapal@debian.org> , David Paleino <dapal@debian.org>
, Thorsten Alteholz <debian@alteholz.de> , Thorsten Alteholz <debian@alteholz.de>
Build-Depends: Build-Depends:
debhelper (>= 9) debhelper (>= 11)
, dh-buildinfo , dh-buildinfo
, nodejs , nodejs
, node-debug , node-debug (>= 2.6.9) <!nocheck>
, node-escape-html , node-finalhandler (>= 1.1.0) <!nocheck>
, node-finalhandler , node-parseurl (>= 1.3.0) <!nocheck>
, node-parseurl , node-utils-merge (>= 1.0.0) <!nocheck>
, node-utils-merge , mocha (>= 4) <!nocheck>
, node-should , node-supertest (>= 0.14.0) <!nocheck>
, node-mocha Standards-Version: 4.1.4
, node-supertest
Standards-Version: 3.9.6
Homepage: https://github.com/senchalabs/connect Homepage: https://github.com/senchalabs/connect
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-connect.git Vcs-Git: https://salsa.debian.org/js-team/node-connect.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-connect Vcs-Browser: https://salsa.debian.org/js-team/node-connect
Package: node-connect Package: node-connect
Architecture: all Architecture: all
Depends: Depends:
${misc:Depends} ${misc:Depends}
, nodejs , nodejs
, node-debug , node-debug (>= 2.6.9)
, node-escape-html , node-finalhandler (>= 1.1.0)
, node-finalhandler , node-parseurl (>= 1.3.0)
, node-parseurl , node-utils-merge (>= 1.0.0)
, node-utils-merge
Description: extensible HTTP server framework - Node.js module Description: extensible HTTP server framework - Node.js module
Connect is an extensible HTTP server framework for Node.js Connect is an extensible HTTP server framework for Node.js
using plugins known as middleware. using plugins known as middleware.
......
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/ Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: connect Upstream-Name: connect
Upstream-Contact: https://github.com/senchalabs/connect/issues Upstream-Contact: https://github.com/senchalabs/connect/issues
Source: https://github.com/senchalabs/connect Source: https://github.com/senchalabs/connect
...@@ -6,12 +6,14 @@ Source: https://github.com/senchalabs/connect ...@@ -6,12 +6,14 @@ Source: https://github.com/senchalabs/connect
Files: * Files: *
Copyright: © 2010, Sencha Inc. Copyright: © 2010, Sencha Inc.
© 2011, LearnBoost © 2011, LearnBoost
© 2011-2014, TJ Holowaychuk © 2015 Douglas Christopher Wilson
© 2011-2018, TJ Holowaychuk
License: Expat License: Expat
Files: debian/* Files: debian/*
Copyright: © 2011, David Paleino <dapal@debian.org> Copyright: © 2011, David Paleino <dapal@debian.org>
© 2014, Leo Iannacone <l3on@ubuntu.com> © 2014, Leo Iannacone <l3on@ubuntu.com>
© 2018n Bastien Roucariès <rouca@debian.org>
License: Expat License: Expat
License: Expat License: Expat
......
Readme.md README.md
SECURITY.md
\ No newline at end of file
...@@ -8,7 +8,13 @@ ...@@ -8,7 +8,13 @@
dh $@ dh $@
override_dh_installchangelogs: override_dh_installchangelogs:
dh_installchangelogs -k History.md dh_installchangelogs -k HISTORY.md
override_dh_auto_test: override_dh_auto_test:
mocha -C --require test/support/env --reporter spec --bail --check-leaks test/ ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
mocha --exit --require test/support/env --reporter spec --bail --check-leaks test/
else
@echo '**********************************************************'
@echo 'Skip test suite '
@echo '**********************************************************'
endif
Tests: require Tests: require
Depends: node-connect Depends: node-connect, nodejs (>=6)
Tests: runtestsuite
Depends: node-connect, nodejs (>=6), mocha (>= 4), node-supertest (>= 0.14)
#!/bin/sh #!/bin/sh
set -e set -e
nodejs -e "require('connect');" node -e "require('connect');"
#!/bin/sh
set -e
mocha --exit --require test/support/env --reporter spec --bail --check-leaks test/
version=3 version=4
opts=\ opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\ dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-connect-$1.tar.gz/ \ filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-connect-$1.tar.gz/ \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment